Bug 804611 - GPXE introduces 2 second wait on boot of all VMs
GPXE introduces 2 second wait on boot of all VMs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gpxe (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 08:32 EDT by Daniel Berrange
Modified: 2012-04-11 22:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: gpxe-1.0.1-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:11:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2012-03-19 08:32:23 EDT
Description of problem:

Run any QEMU command, eg

  # qemu-kvm -curses -cdrom someiso.iso -boot d

   SeaBIOS (version 0.6.2)

          gPXE (http://etherboot.org) - 00:03.0 C900 PCI2.10 PnP BBS PMM07E0@10 C900 
          Press Ctrl-B to configure gPXE (PCI 00:03.0)...                                 


and that gPXE banner forces a 2 second delay in the boot process. This was previously fixed in etherboot, but this came back to life in gpxe. Upstream QEMU ROMs don't suffer this flaw.

Version-Release number of selected component (if applicable):
gpxe-roms-qemu-1.0.1-4.fc16.noarch

How reproducible:
Always

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2012-03-19 09:23:30 EDT
gpxe-1.0.1-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gpxe-1.0.1-6.fc17
Comment 2 Fedora Update System 2012-03-20 02:01:14 EDT
Package gpxe-1.0.1-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gpxe-1.0.1-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4162/gpxe-1.0.1-6.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-04-11 22:11:01 EDT
gpxe-1.0.1-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.